nodes_samples_bound_data_list
GET
/api/nodes/{node_pk}/samples/{sample_pk}/bound_data
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bound_data';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/samples/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bound_data \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all sample bound data objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_pk
required
string format: uuid
Node ID
sample_pk
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-Workspace
required
string format: uuid
Workspace ID
Query Parameters
Section titled “Query Parameters”ordering
string
Which field to use when ordering the results.
p
integer
A page number within the paginated result set.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
count
required
integer
next
string format: uri
previous
string format: uri
results
required
Array<object>
Serialize data bound to a sample.
object
id
required
string format: uuid
title
required
Retrieve the name attribute from the data object.
Parameters
obj : SampleBoundData The object containing the data with a title attribute.
Returns
str The title of the data.
string
sample
required
string format: uuid
data
required
string format: uuid
datalink
required
string format: uuid
created_time
required
string format: date-time
created_by
required
Return the interactor information of the object’s creator.
Parameters
obj : SampleBoundData The object containing the creator information.
Returns
dict The interactor information of the creator.
object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required
string format: uuid
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "body_validation_error", "message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.", "details": [ { "parameter": "sample", "code": "does_not_exist", "message": "\"<sample_value>\" does not exist." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "code": "not_allowed", "message": "You are not a member of the associated node." } ]}
